package mi.hdm.recipes;

import org.junit.Before;
import org.junit.Test;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

public class NutritionCalculatorTest {
    List<Ingredient> ingredients = ValidObjectsPool.getValidIngredientList();
    Map<RecipeComponent, Integer> recipeMap;


    @Before
    public void setUp() {
        recipeMap = new HashMap<>();
        ingredients.forEach(ingredient -> recipeMap.put(ingredient, 100));
    }

    @Test
    public void testCalculateNutritionTableFromIngredients() {
        //given
        NutritionTable expected = new NutritionTable(363.1, 42.4, 9.6, 4.3, 2.4, 1.2);

        //when
        NutritionTable actual = NutritionCalculator.calculateNutritionTable(recipeMap);

        //expect
        assertEquals(expected, actual);
    }

    @Test
    public void testCalculateNutritionTableFromRecipes() {
        //TODO
        assertTrue(true);
    }
}
