package mi.hdm.recipes;

import java.util.List;

public class ValidObjectsPool {
    private final static Category categoryOne = new Category("Frühstück", 0xFF0000);
    private final static Category categoryTwo = new Category("Abendessen", 0x00FF00);
    private final static NutritionTable nutritionTableOne = new NutritionTable(100.0, 17.2, 9.4, 4.3, 2.4, 0.4);
    private final static NutritionTable nutritionTableTwo = new NutritionTable(263.1, 25.2, 0.2, 0.0, 0.0, 0.8);
    private final static Ingredient ingredientOne = new Ingredient(Measurement.GRAM, "Zucker", nutritionTableOne);
    private final static Ingredient ingredientTwo = new Ingredient(Measurement.PIECE, "Apple", nutritionTableTwo);

    public static NutritionTable getValidNutritionTableOne() {
        return nutritionTableOne;
    }

    public static NutritionTable getValidNutritionTableTwo() {
        return nutritionTableTwo;
    }

    public static Ingredient getValidIngredient() {
        return ingredientOne;
    }

    public static List<Ingredient> getValidIngredientList() {
        return List.of(ingredientOne, ingredientTwo);
    }

    public static Category getValidCategory() {
        return categoryOne;
    }

    public static List<Category> getValidCategoryList() {
        return List.of(categoryOne, categoryTwo);
    }
}
